<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Registrate</title>
  <link rel="stylesheet" href="../css/estilo.css">

  <link rel="stylesheet" href="../css/bootstrap.css">  
    
  <link rel="stylesheet" href="../css/bootstrap/bootstrap.min.css">  

  <link rel="stylesheet" href="../seguridad/css/registro.css">
  <script src="../seguridad/js/login.js"></script>
  <script src="../seguridad/js/libreria.js"></script>

  
  <script src="../js/jquery/jquery-latest.js"></script>
  <script src="../js/bootstrap/bootstrap.bundle.min.js"></script>

  <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase.js"></script>
  <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-app.js"></script>
  <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-database.js"></script>
  <script>

    var firebaseConfig = {
        apiKey: "AIzaSyCnraYSxUh-aicQH0FaW4Op9Fc1kn3u7CY",
        authDomain: "farmaciasuspirodedios.firebaseapp.com",
        databaseURL: "https://farmaciasuspirodedios.firebaseio.com",
        projectId: "farmaciasuspirodedios",
        storageBucket: "farmaciasuspirodedios.appspot.com",
        messagingSenderId: "171862318579",
        appId: "1:171862318579:web:ed48d615e77ac9b3a64686",
        measurementId: "G-SCVV3KHQQK"
    };

    // Initialize Firebase
    firebase.initializeApp(firebaseConfig);
    var database = firebase.database();

    window.addEventListener('load', function () {
      let cedula = document.querySelector('#txtcedula');
      let nombreApellido = document.querySelector('#txtnombre');
      let email = document.querySelector('#txtemail');
      let fecha = document.querySelector('#txtfecha');
      let contraseña = document.querySelector('#txtpass');
      let confContr = document.querySelector('#txtconfcontrasenia');
      let provincia = document.querySelector('#txtprovincia');
      let ciudad = document.querySelector('#txtciudad');
      let direccion = document.querySelector('#txtdireccion');
      let adicional = document.querySelector('#txtadicional');
      let celular = document.querySelector('#txtcelular');
      let convencional = document.querySelector('#txtconvencional');


      document.querySelector('#btnguardar').addEventListener('click', function () {
        firebase.database().ref('cliente/' + cedula.value).set({
          cedula: cedula.value,
          nombreApellido: nombreApellido.value,
          email: email.value,
          fecha: fecha.value,
          contraseña: contraseña.value,
          confContr: confContr.value,
          provincia: provincia.value,
          ciudad: ciudad.value,
          direccion: direccion.value,
          adicional: adicional.value,
          celular: celular.value,
          convencional: convencional.value
        })
      });

    });

  </script>
</head>

<body>
  <div class="container">
    <div class="abs-center">
      <form class="border p-3 form" name="for">
         <center><h2 class="form__titulo"><img src="css/LogoFarm.png" class="img-fluid" alt="Responsive image"> Registre sus Datos</h2></center>
            <div class="row">
                    <div class="col-md-6 justify-content-md-center">
                        <div class="grupo log-status">
                            <label for="txtidentificacion">N° de Cédula</label>
                            <input type="text" class="form-control" placeholder="Ingrese su ID " id="txtcedula">
                            <div id="mensajecedula"></div>
                        </div>

                        <div class="group log-status">
                          <label for="txtnombre">Apellidos y Nombres </label>
                          <input type="name" class="form-control" placeholder="Apellidos y Nombres " id="txtnombre" onKeyPress="validaSoloTexto(event);">
                        </div>

                        <div class="group log-status">
                          <label for="txtcuenta">Email</label>
                          <input type="email" class="form-control" placeholder="Correo " id="txtemail" name="txtemail">  
                          <div id="mensajeemail"></div>                        
                        </div>

                        <div class="group log-status ">
                          <label for="txtfecha">Fecha de Nacimiento</label>
                          <input type="text" class="form-control" placeholder="00/00/0000 " id="txtfecha">
                        </div>

                        <div class="group log-status">
                          <label for="txtpass">Contraseña</label>
                            <input type="password" class="form-control" placeholder="Contraseña" id="txtpass" name="txtpass">
                            <i class="fa fa-lock"></i>
                        </div>

                        <div class="group log-status">
                          <label for="txtconfirpass">Confirmar Contraseña</label>
                          <input type="password" class="form-control" placeholder="Confirmar Contraseña" name="txtconfirpass" id="txtconfirpass" onkeyup="comprobar();">
                          <i class="fa fa-lock"></i>
                        </div>
                    </div>

                    <div class="col-md-6 justify-content-md-center" >

                        <div class="group log-status">
                          <label for="txtprovincia">Provincia</label>
                          <input type="text" class="form-control" placeholder="Provincia" id="txtprovincia" onKeyPress="validaSoloTexto(event);">
                        </div>

                        <div class="group log-status">
                          <label for="txtciudad">Ciudad</label>
                          <input type="text" class="form-control" placeholder="Ciudad" id="txtciudad" onKeyPress="validaSoloTexto(event);">
                        </div>

                        <div class="group log-status">
                          <label for="txtdireccion">Dirección</label>
                          <input type="text" class="form-control" placeholder="Dirección" id="txtdireccion" onKeyPress="validaSoloTexto(event);">
                        </div>

                        <div class="group log-status">
                          <label for="txtadicional">Datos Adicionales</label>
                          <input type="text" class="form-control" placeholder="Información del Domicilio " id="txtadicional" onKeyPress="validaSoloTexto(event);">
                        </div>
                        <div class="group log-status">
                          <label for="txtcelular">Celular</label>
                          <input type="text" class="form-control" placeholder="celular " id="txtcelular">
                        </div>

                        <div class="group log-status">
                          <label for="txtconvencional">Telefono Convencional</label>
                          <input type="text" class="form-control" placeholder="convencional " id="txtconvencional">
                        </div>
                    </div>
            </div>
            <a class="link" href="../cliente.html">Regresar</a>
            <center><button class="log-btn" id="btnguardar">Registrate</button></center>
      </form>
        
    </div>
  </div>
</body>

</html>